<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!--    <link rel="stylesheet" type="text/css" th:href="@{/css/stylesheet.css}"/>-->

    <title>Login</title>
</head>
<body>
<div class="container h-100" id="loginPage">
    <div class="row h-100 justify-content-center align-items-center">
        <div class="col-md-4 col-md-offset-4">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="text-center">
                        <i class="glyphicon glyphicon-lock" style="font-size:2em;"></i>
                        <h2 class="text-center">Login</h2>
                        <div class="panel-body">

<!--                            <div th:if="${param.error} and ${session}"-->
<!--                                 th:with="errorMsg=${session['SPRING_SECURITY_LAST_EXCEPTION']}">-->
<!--                                <div class="alert alert-dismissible alert-danger error">-->
<!--                                    Account has been disabled. Please contact administrator.-->
<!--                                </div>-->
<!--                            </div>-->

                            <div class="alert alert-danger" th:if="${param.error}"
                                 th:with="errorMsg=${session.SPRING_SECURITY_LAST_EXCEPTION.message}">
                                <span th:text="${errorMsg}">Wrong input!</span>
                            </div>

<!--                            <div th:if="${param.error}">-->
<!--                                <div class="alert alert-danger">-->
<!--                                    Invalid username or password.-->
<!--                                </div>-->
<!--                            </div>-->
                            <div th:if="${param.logout}">
                                <div class="alert alert-info">
                                    You have been logged out.
                                </div>
                            </div>
                            <div th:if="${param.resetSuccess}">
                                <div class="alert alert-info">
                                    You have successfully reset your password.
                                </div>
                            </div>

                            <div th:if="${param.setSuccess}">
                                <div class="alert alert-info">
                                    You have successfully set your password.
                                </div>
                            </div>


                            <form th:action="@{/login}" method="post">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input id="username"
                                               name="username"
                                               autofocus="autofocus"
                                               class="form-control"
                                               placeholder="Email address"
                                               type="email"/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="glyphicon glyphicon-lock"></i>
                                        </span>
                                        <input id="password"
                                               name="password"
                                               class="form-control"
                                               placeholder="Password"
                                               type="password"/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="btn btn-success btn-block" id="login">Log in</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12" id="newUser">
                    New user? <a href="/" th:href="@{/register}" id="registrationLink">Register</a>
                </div>
                <div class="col-md-12" id="forgotPassword">
                    Forgot password? <a href="/" th:href="@{/forgot-password}" id="forgotPasswordLink">Reset
                    password</a>
                </div>
            </div>
        </div>
    </div>
</div>

<!--<footer style="text-align: center;bottom: 0">-->
<!--    If you encounter problems upon login, please contact administrator.-->
<!--</footer>-->


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>

</body>
</html>